// Specify actions or filters for incoming or outgoing OSC messages
// Use the "app.on" functions for custom actions e.g. when the session has started.

var sendTargets = settings.read('send') // array of "ip:port" strings
var [sendHost, sendPort] = sendTargets[0].split(':')
var fs = nativeRequire('fs')

app.on('sessionOpened', (data, client)=>{
    //console.log("Session Started")
})

module.exports = {
	
    init: function(){
        // this will be executed once when the osc server starts
        // switch to setlist view automatically
        send(sendHost,sendPort,'/Actions/SetlistView') 
    },
    
    oscInFilter:function(data){
        // Filter incoming osc messages

    	var {address, args, host, port} = data
        
        if (address == '/CurrentSongName') {
         	var name = args[0].value
         	//console.log(name)
         	fs.readFile('/Users/rank13/Music/Lyrics/' + name + '.html', 'utf8' , (err, data) => {
                if (err) {
                    console.error(err)
                    return
                }
                receive('/EDIT','lyrics', {"html" : data})
            })
         	
         }
         
        // return data if you want the message to be processed
        return {address, args, host, port}

    },

    oscOutFilter:function(data){
        // Filter outgoing osc messages

        var {address, args, host, port, clientId} = data

        // same as oscInFilter

        // return data if you want the message to be sent
        return {address, args, host, port}
    },

    unload: function(){
        // this will be executed when the custom module is reloaded
    },

}